---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/jdk/jtreg/native/lib/libNativeAccess.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_TestNative_getByteRaw, symObjAddr: 0x0, symBinAddr: 0x3DD8, symSize: 0x8 }
  - { offsetInCU: 0x107, offset: 0x107, size: 0x8, addend: 0x0, symName: _Java_TestNative_getByteRaw, symObjAddr: 0x0, symBinAddr: 0x3DD8, symSize: 0x8 }
  - { offsetInCU: 0x2917, offset: 0x2917, size: 0x8, addend: 0x0, symName: _Java_TestNative_getByteBuffer, symObjAddr: 0x8, symBinAddr: 0x3DE0, symSize: 0x30 }
  - { offsetInCU: 0x29C0, offset: 0x29C0, size: 0x8, addend: 0x0, symName: _Java_TestNative_getCharRaw, symObjAddr: 0x38, symBinAddr: 0x3E10, symSize: 0x8 }
  - { offsetInCU: 0x2A3D, offset: 0x2A3D, size: 0x8, addend: 0x0, symName: _Java_TestNative_getCharBuffer, symObjAddr: 0x40, symBinAddr: 0x3E18, symSize: 0x30 }
  - { offsetInCU: 0x2AE6, offset: 0x2AE6, size: 0x8, addend: 0x0, symName: _Java_TestNative_getShortRaw, symObjAddr: 0x70, symBinAddr: 0x3E48, symSize: 0x8 }
  - { offsetInCU: 0x2B63, offset: 0x2B63, size: 0x8, addend: 0x0, symName: _Java_TestNative_getShortBuffer, symObjAddr: 0x78, symBinAddr: 0x3E50, symSize: 0x30 }
  - { offsetInCU: 0x2C0C, offset: 0x2C0C, size: 0x8, addend: 0x0, symName: _Java_TestNative_getIntRaw, symObjAddr: 0xA8, symBinAddr: 0x3E80, symSize: 0x8 }
  - { offsetInCU: 0x2C89, offset: 0x2C89, size: 0x8, addend: 0x0, symName: _Java_TestNative_getIntBuffer, symObjAddr: 0xB0, symBinAddr: 0x3E88, symSize: 0x30 }
  - { offsetInCU: 0x2D32, offset: 0x2D32, size: 0x8, addend: 0x0, symName: _Java_TestNative_getFloatRaw, symObjAddr: 0xE0, symBinAddr: 0x3EB8, symSize: 0x8 }
  - { offsetInCU: 0x2DAD, offset: 0x2DAD, size: 0x8, addend: 0x0, symName: _Java_TestNative_getFloatBuffer, symObjAddr: 0xE8, symBinAddr: 0x3EC0, symSize: 0x30 }
  - { offsetInCU: 0x2E56, offset: 0x2E56, size: 0x8, addend: 0x0, symName: _Java_TestNative_getLongRaw, symObjAddr: 0x118, symBinAddr: 0x3EF0, symSize: 0x8 }
  - { offsetInCU: 0x2ED3, offset: 0x2ED3, size: 0x8, addend: 0x0, symName: _Java_TestNative_getLongBuffer, symObjAddr: 0x120, symBinAddr: 0x3EF8, symSize: 0x30 }
  - { offsetInCU: 0x2F7C, offset: 0x2F7C, size: 0x8, addend: 0x0, symName: _Java_TestNative_getDoubleRaw, symObjAddr: 0x150, symBinAddr: 0x3F28, symSize: 0x8 }
  - { offsetInCU: 0x2FF7, offset: 0x2FF7, size: 0x8, addend: 0x0, symName: _Java_TestNative_getDoubleBuffer, symObjAddr: 0x158, symBinAddr: 0x3F30, symSize: 0x30 }
  - { offsetInCU: 0x30A0, offset: 0x30A0, size: 0x8, addend: 0x0, symName: _Java_TestNative_getCapacity, symObjAddr: 0x188, symBinAddr: 0x3F60, symSize: 0x10 }
...
